Subject: Bug#386: Make automatic DPI setting available for all platforms X2Go Client builds for

From: Mike Gabriel <[email-masked]>
Date: Mon, 30 Dec 2013 13:02:41 +0000

Package: x2goclient
Severity: wishlist
Version: 4.0.1.3

TL;DR: on all platforms X2Go Client builds for...

   o detect the client-side DPI of the current display
   o use this DPI inside the X2Go Session
   o mention the word ,,automatic'' with the DPI setup in X2Go  
Client's session profile manager

IIRC, there is such code already around in X2Go Client code, but it  
needs some QA and more testing.

Mike

taken from a private / German communication...

"""
>>> * Warum muß man die DPI des Bildschirms angeben? xdpyinfo gibt doch
>>>   die Informationen aus. Könnt Ihr da auch noch eine "Automatik"
>>>   machen? Alternativ würde ich gerne den Use Case für diese Option
>>>   verstehen. Wenn sie nicht gesetzt ist, dann sind bei mir die
>>>   Schriften viel zu klein, mit 96 sah es dann OK aus.
>>
>> Im X2Go Client ist mittlerweile eigentlich ein Patch, der (wenn  
>> keine DPI-Zahl explizit gewählt ist) eigentlich die lokale DPI-Zahl  
>> ausliest und dann für die Sitzung verwendet. Es kann sein, dass der  
>> Patch nur unter Linux mitgebaut wird (müsste ich nachschauen, aber  
>> Alex ist das wahrscheinlich fitter, als ich).

> Das wäre schön wenn das funktioniert und dann die DPI Einstellung  
> für den User erkennbar auf "Auto" steht. Aktuell kann man einen  
> Haken setzen oder nicht, das erklärt aber nicht was passiert wenn  
> der Haken nicht gesetzt ist. Also im UI noch etwas umbauen so daß  
> man dann ohne Haken ein Auto sieht und mit Haken eine Zahl eingeben  
> kann. Und der Haken könnte dann vielleicht Autodetect DPI heißen  
> oder sowas. Oder Ihr habt halt die Sektio DPI und einen Haken für  
> Auto und ein Feld, dass bei gesetztem Haken grau und leer wird.
"""
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb